org.gradle.nativeplatform

## Interface PrebuiltSharedLibraryBinary

- All Superinterfaces:
    Binary, NativeBinary, NativeLibraryBinary, SharedLibraryBinary

      @Incubating
      public interface PrebuiltSharedLibraryBinary
      extends SharedLibraryBinary

  A shared library that exists at a known location on the filesystem.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSharedLibraryFile(File sharedLibraryFile)` The shared library file.
    `void` | `setSharedLibraryLinkFile(File sharedLibraryLinkFile)` The shared library link file.

    - ### Methods inherited from interface org.gradle.nativeplatform.SharedLibraryBinary

      `getSharedLibraryFile, getSharedLibraryLinkFile`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinary

      `getHeaderDirs, getLinkFiles, getRuntimeFiles`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### setSharedLibraryFile

          void setSharedLibraryFile(File sharedLibraryFile)

      The shared library file.

    - #### setSharedLibraryLinkFile

          void setSharedLibraryLinkFile(File sharedLibraryLinkFile)

      The shared library link file.